/* -- Slides -- */
.quiz-modul__slide {
	display: grid;
	grid-template-columns: 8fr 5fr;
	gap: 0;
}

/* -- Inhalt -- */
.quiz-modul__content {
	padding: 70px 80px;
	position: relative;
	background-color: #F5F7F8;
	min-height: 375px;
	color: #000;
	font-family: "PwC Helvetica Neue", Arial, Sans-Serif;
}

/* -- Basic Typography -- */
.quiz-modul__content h2 {
	color: #000;
	font-family: "PwC ITC Charter", Georgia, Serif;
	font-size: 40px;
	font-weight: 400;
	line-height: 52px;
	margin: 0 0 15px 0;
}

.quiz-modul__content h3{
	color: #000;
	font-family: "PwC Helvetica Neue", Arial, Sans-Serif;
	font-size: 24px;
	font-weight: 700;
	line-height: 35px;
	margin: 0 0 30px 0;
}

.quiz-modul__content p,
.quiz-modul__content ul {
	color: #000;
	font-family: "PwC Helvetica Neue", Arial, Sans-Serif;
	font-size: 16px;
	font-weight: 400;
	line-height: 28px;
	margin: 0 0 35px 0;
}

/* -- Intro -- */
p.quiz-modul__intro-text {
	font-size: 18px;
}

/* -- Question Slides -- */
.quiz-modul__badge {
	position: absolute;
	padding: 12px 15px;
	background-color: #FD5108;
	color: #000;
	font-family: "PwC Helvetica Neue", Arial, Sans-Serif;
	font-size: 16px;
	font-weight: 700;
	line-height: 22px;
	top: 0;
	left: 0;
}

p.quiz-modul__category {
	color: #000;
	font-family: "PwC Helvetica Neue", Arial, Sans-Serif;
	font-size: 16px;
	font-weight: 400;
	line-height: 22px;
	margin-bottom: 20px;
}

h3.quiz-modul__result-title {
	color: #000;
	font-family: "PwC ITC Charter", Georgia, Serif;
	font-size: 40px;
	font-weight: 400;
	line-height: 52px;
}

.quiz-modul__btn {
	padding: 16px 24px;
	width: fit-content;
	cursor: pointer;
	text-decoration: none;
	font-family: "PwC Helvetica Neue", Arial, Sans-Serif;
	font-size: 16px;
	font-style: normal;
	font-weight: 700;
	line-height: 24px;
	border: none;
	background-color: transparent;
}

.quiz-modul__btn--icon::after {
	background-size: contain;
	filter: brightness(0);
	width: 18px;
	height: 18px;
	content: "";
	display: inline-block;
	margin-left: 8px;
	margin-bottom: 2px;
	vertical-align: middle;
}

.quiz-modul__btn--inline {
	display: inline-block !important;
}

.quiz-modul__btn--primary {
	display: block;
	background-color: #FD5108;
	color: #000;
	border: 1px solid #FD5108;
	transition: background-color 0.3s, color 0.3s, border-color 0.3s;
	margin-right: 20px;
	margin-bottom: 20px;
}

.quiz-modul__btn--primary:hover {
	background-color: #000;
	color: #fff;
	border-color: #000;
	text-decoration: none;
}

.quiz-modul__btn--primary:hover::after {
	filter: brightness(0) invert(1);
	margin-left: 12px;
}

.quiz-modul__btn--secondary {
	color: #000;
	border: 1px solid #8E95A2;
	transition: background-color 0.3s, color 0.3s, border-color 0.3s;
}

.quiz-modul__btn--secondary:hover {
	background-color: #000;
	border-color: #000;
	color: #fff;
	text-decoration: none;
}

.quiz-modul__btn--secondary:after {
	transition: filter 0.3s ease;
}

.quiz-modul__btn--secondary:hover::after {
	filter: brightness(0) invert(1);
}

.quiz-modul__btn--primary::after {
	background-image: url('https://www.pwc.de/de/icons/chevron-right.svg');
	transition: filter 0.3s ease, margin-left 0.3s ease;
}

.quiz-modul__btn--yes {
	margin-right: 45px;
}

.quiz-modul__btn--yes::after {
	background-image: url('https://www.pwc.de/de/icons/check.svg');
	width: 22px;
}

.quiz-modul__btn--no::after {
	background-image: url('https://www.pwc.de/de/icons/cross.svg');
}

.quiz-modul__image img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	display: block;
}

/* -- Visibility -- */
.quiz-modul__slide[hidden] {
	display: none;
}

/* -- Ergebnis-Slide: rechte Spalte -- */
.quiz-modul__image--result {
	background: linear-gradient(to bottom left, #FEAE8D 0%, #fdd5c0 30%, #fff8f5 65%, #ffffff 100%);
}

/* -- Responsive: Mobile -- */
@media (max-width: 767px) {
	.quiz-modul__slide {
		grid-template-columns: 1fr;
	}

	.quiz-modul__content {
		padding: 35px 15px;
		min-height: auto;
	}

	.quiz-modul__content h2 {
		font-size: 25px;
		line-height: 32px;
		margin: 0 0 15px 0;
	}

	p.quiz-modul__intro-text {
		font-size: 16px;
		line-height: 24px;
	}

	.quiz-modul__badge {
		position: relative;
		width: fit-content;
		top: -35px;
		left: -15px;
	}

	.quiz-modul__content h3{
		font-size: 20px;
		line-height: 26px;
	}

	.quiz-modul__image {
		order: -1;
	}

	h3.quiz-modul__result-title {
			font-size: 25px;
			line-height: 32px;
			margin: 0 0 15px 0;
	}
}
